/*
* funkcja inicjuje kontrolki UI
*/
function initUI()
{
    document.getElementById( "rotXSlider" ).addEventListener( "input", angleChanged );
    document.getElementById( "rotYSlider" ).addEventListener( "input", angleChanged );
    document.getElementById( "rotZSlider" ).addEventListener( "input", angleChanged );

    document.getElementById( "shadingSelect" ).addEventListener( "click", selectShading );

    angleChanged();
    selectShading();
}

/*
* funkcja zwrotna dla suwakow uzywanych do rotacji modelem
*/
function angleChanged()
{
    let rotX = parseInt( updateOutput( "rotXSlider", "rotXValue" ) );
    let rotY = parseInt( updateOutput( "rotYSlider", "rotYValue" ) );
    let rotZ = parseInt( updateOutput( "rotZSlider", "rotZValue" ) );

    rotationAngles = [rotX, rotY, rotZ];
}

/*
* funkcja aktualizuje kontrolke control wartoscia z danego suwaka
* sliderControl - id suwaka
* outputControl - id kontrolki control, ktora ma byc zaktualizowana
* returns - string z wartoscia z suwaka
*/
function updateOutput(sliderControl, outputControl)
{
    let value = document.getElementById( outputControl );
    let slider = document.getElementById( sliderControl );

    value.value = slider.value;

    return slider.value;
}

/*
* funkcja zwrotna dla listy z wyborem cieniowania
*/
function selectShading()
{
    let index = document.getElementById( "shadingSelect" ).selectedIndex;

    shaderProgram = (index == 0) ? gouraudShading : phongShading;
}
